Subject: Re: bug#13425: close this bug?

From: Stefan Monnier <[email-masked]>
Date: Sun, 29 Jan 2017 12:16:20 -0500

> I did spend a bit of time trying to get it to line up continued
> properties under the ":", like:

>     font: 15px "Helvetica Neue",
> 	  Helvetica,
> 	  Arial,
> 	  "Nimbus Sans L",
> 	  sans-serif;

> ... but all I really accomplished was realizing that I don't understand
> SMIE.

What have you tried?  I don't know the CSS grammar well enough to know
what we should do.

The above problem is trivially fixed with the patch below, but it seems
too easy, so it probably introduces problems elsewhere.

        Stefan

diff --git a/lisp/textmodes/css-mode.el b/lisp/textmodes/css-mode.el
index c81c3f62e1..499de8db2e 100644
--- a/lisp/textmodes/css-mode.el
+++ b/lisp/textmodes/css-mode.el
@@ -734,7 +734,7 @@ css-indent-offset
 
 (defconst css-smie-grammar
   (smie-prec2->grammar
-   (smie-precs->prec2 '((assoc ";") (assoc ",") (left ":")))))
+   (smie-precs->prec2 '((assoc ";") (left ":") (assoc ",")))))
 
 (defun css-smie--forward-token ()
   (cond